Search

Search project

GET
/projects/{project_id}/search.json

Search within a project

Authorization

ApiKeyAuth
headerX-Redmine-API-Key<token>

Path Parameters

project_id*|

Project ID or identifier

Query Parameters

q*string

Search terms, separated by space

scope?|

Search scope

all_words?string

Match all search terms (default). Send an empty value to match any term.

Value in"1"""
titles_only?string

Search only in titles

Value in"1"""
open_issues?string

Search only in open issues

Value in"1"""
attachments?string

Search in attachments: 0 description only (default), 1 description and attachments, only attachments only

Value in"0""1""only"
issues?string

Include issues

Value in"1"""
news?string

Include news

Value in"1"""
documents?string

Include documents

Value in"1"""
changesets?string

Include changesets

Value in"1"""
wiki_pages?string

Include wiki pages

Value in"1"""
messages?string

Include forum messages

Value in"1"""
projects?string

Include projects

Value in"1"""
offset?integer

Offset of the first item

Formatint64
Range0 <= value
Default0
limit?integer

Number of items per page

Formatint64
Range1 <= value <= 100
Default100

Response Body

The request has succeeded.

application/json
  1. response
results*array<>
total_count*integer

Total number of items

Formatint64
offset*integer

Offset of the first item

Formatint64
limit*integer

Limit of items per page

Formatint64
curl -X GET 'https://redmine.example.com/projects/0/search.json?q=string'
{  "results": [    {      "id": 0,      "title": "string",      "type": "string",      "url": "http://example.com",      "description": "string",      "datetime": "2019-08-24T14:15:22Z"    }  ],  "total_count": 0,  "offset": 0,  "limit": 0}